Я поставил Slackware 13.1

Post Reply
User avatar
BaHbKa
Эникейщик
Эникейщик
Posts: 452
Joined: 02 Apr 2010, 15:28
ОС: Slackware & Windows7
Location: Местный!
Contact:

Я поставил Slackware 13.1

Post by BaHbKa » 03 Jun 2010, 16:47

Я поставил Slacware 13.1!!! ну конечно не без помоши всеми нами увожаемого Raven!!!
теперь у меня возник вопрос как можно пересобрать покеты от других дистров и поставить тут???
Image
User avatar
Raven
Бородатый сис
Бородатый сис
Posts: 2794
Joined: 03 Mar 2010, 15:12
ОС: RHEL 8
Location: Из серверной

Re: Я поставил Slacware 13.1

Post by Raven » 03 Jun 2010, 18:15

BaHbKa wrote:ну конечно не без помоши всеми нами увожаемого Raven
:-[ засмущал :-[
Я бы тебе посоветовал юзать сырцы!
Я не злопамятный, я просто часто ковыряю логи
wass
Красноглазик
Красноглазик
Posts: 633
Joined: 26 Mar 2010, 11:43
ОС: MSDOS
Contact:

Re: Я поставил Slacware 13.1

Post by wass » 03 Jun 2010, 23:14

а я бы посоветовал взять rpm-ки и переконвертировать их в tgz.

Code: Select all

# rpm2tgz package.rpm
и установить:

Code: Select all

# installpkg package.tgz
(насчет installpkg - не уверен, что эта команда так называется, но вроде так)
OS: Gentoo Linux 3.6.6, KDE 4.9.3/Fluxbox
User avatar
Gen1us2k
Модератор
Модератор
Posts: 771
Joined: 02 Mar 2010, 16:13

Re: Я поставил Slacware 13.1

Post by Gen1us2k » 04 Jun 2010, 07:45

грац :) теперь осталось чувствовать в ней нормально и все. :)
Юзать стоит сырцы..
autoreconf automake и остальные пакеты стоят по дефолту в полной версии слаки
Image
Home: Windows Heaven
Home: Debian 6
For Servers: Debian || RHEL Based || Gentoo || FreeBSD
User avatar
Infernal Flame
Злой Модер
Posts: 1796
Joined: 03 Mar 2010, 11:25
ОС: Centos 7
Contact:

Re: Я поставил Slacware 13.1

Post by Infernal Flame » 04 Jun 2010, 17:44

wass wrote:(насчет installpkg - не уверен, что эта команда так называется, но вроде так
все верно... так и есть...
кстати, не встречали ли аналог rpm2tgz но только для deb'ов?

хотя вобще-то сорцы рулят...
Image
Image
Work: Centos 7 х 'all Servers'
wass
Красноглазик
Красноглазик
Posts: 633
Joined: 26 Mar 2010, 11:43
ОС: MSDOS
Contact:

Re: Я поставил Slackware 13.1

Post by wass » 04 Jun 2010, 23:07

кстати, не встречали ли аналог rpm2tgz но только для deb'ов?
встречал только allien. вроде все конвертит, но разработчик не гарантирует стопроцентную установку. (конвертил skype rpm в дебиан - вроде пошло)
OS: Gentoo Linux 3.6.6, KDE 4.9.3/Fluxbox
User avatar
Raven
Бородатый сис
Бородатый сис
Posts: 2794
Joined: 03 Mar 2010, 15:12
ОС: RHEL 8
Location: Из серверной

Re: Я поставил Slackware 13.1

Post by Raven » 05 Jun 2010, 10:25

wass wrote:встречал только allien. вроде все конвертит, но разработчик не гарантирует стопроцентную установку
Конвертил rinetd с Демьяна на Альт - конвертнул, но не пошло.
Я не злопамятный, я просто часто ковыряю логи
User avatar
BaHbKa
Эникейщик
Эникейщик
Posts: 452
Joined: 02 Apr 2010, 15:28
ОС: Slackware & Windows7
Location: Местный!
Contact:

Re: Я поставил Slackware 13.1

Post by BaHbKa » 05 Jun 2010, 13:06

А нельзя к прмиеру взять вот это:
[spoiler]

Code: Select all

#!/bin/bash
# convert Debian/Ubuntu's DEB package into .lzm compressed file
# which can be used as a LiveCD module
#
# Author: Tomas M. <http://www.linux-live.org>
#         Peter Chabada <http://chabada.sk>
#

if [ "$1" = "" ]; then
   echo "Convert Debian/Ubuntu's DEB package into .lzm compressed module"
   echo "usage: $0 source_filename.deb [output_file.lzm]"
   exit 1
fi

if ! which dpkg > /dev/null; then
   echo "Error: dpkg is not installed!"
   echo "You must have dpkg installed to unpack DEB package."
   exit 1
fi

PATH=.:$(dirname $0):/usr/lib:$PATH
. liblinuxlive || exit 1

TMPDIR=/tmp/deb2lzm_$$
TMPDIRCONTR=/tmp/deb2lzm_contr_$$

rm -Rf $TMPDIR
rm -Rf $TMPDIRCONTR

dpkg --extract $1 $TMPDIR
if [ $? != 0 ]; then echo "error unpacking package"; exit; fi

dpkg --control $1 $TMPDIRCONTR
if [ $? != 0 ]; then echo "error unpacking package control files"; exit; fi

echo >> $TMPDIRCONTR/control

PACKAGE=$(dpkg --field $1 package)

mkdir -p $TMPDIR/var/lib/dpkg/info
for FILE in $TMPDIRCONTR/*; do
   cp $FILE $TMPDIR/var/lib/dpkg/info/$PACKAGE.$(basename $FILE)
done

PACKAGE=$PACKAGE.lzm
if [ ! "$2" = "" ]; then PACKAGE=$2; fi
create_module $TMPDIR "$PACKAGE"
if [ $? != 0 ]; then echo "error building compressed image"; exit; fi

rm -Rf $TMPDIR
rm -Rf $TMPDIRCONTR
[/spoiler]
и подправить до нужной кондиции???
Image
User avatar
Infernal Flame
Злой Модер
Posts: 1796
Joined: 03 Mar 2010, 11:25
ОС: Centos 7
Contact:

Re: Я поставил Slackware 13.1

Post by Infernal Flame » 05 Jun 2010, 13:10

BaHbKa
тут несколько иная структура...

задался вопросом - нашел кое что: http://code.google.com/p/deb2tgz/
но вот функционал не тестил... если есть желание - попробуй...
Image
Image
Work: Centos 7 х 'all Servers'
User avatar
BaHbKa
Эникейщик
Эникейщик
Posts: 452
Joined: 02 Apr 2010, 15:28
ОС: Slackware & Windows7
Location: Местный!
Contact:

Re: Я поставил Slackware 13.1

Post by BaHbKa » 06 Jun 2010, 09:10

Infernal Flame
Попробуем
Image
Post Reply